summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /www-apps/Apache-Gallery
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'www-apps/Apache-Gallery')
-rw-r--r--www-apps/Apache-Gallery/Apache-Gallery-1.0_rc3.ebuild61
-rw-r--r--www-apps/Apache-Gallery/Manifest1
-rw-r--r--www-apps/Apache-Gallery/files/76_apache2-gallery.conf40
-rw-r--r--www-apps/Apache-Gallery/files/postinstall-en.txt2
-rw-r--r--www-apps/Apache-Gallery/metadata.xml5
5 files changed, 109 insertions, 0 deletions
diff --git a/www-apps/Apache-Gallery/Apache-Gallery-1.0_rc3.ebuild b/www-apps/Apache-Gallery/Apache-Gallery-1.0_rc3.ebuild
new file mode 100644
index 00000000000..bea6836fa04
--- /dev/null
+++ b/www-apps/Apache-Gallery/Apache-Gallery-1.0_rc3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit depend.apache perl-module webapp
+
+MY_P=${P/_rc/RC}
+
+DESCRIPTION="Apache gallery for mod_perl"
+SRC_URI="http://apachegallery.dk/download/${MY_P}.tar.gz"
+HOMEPAGE="http://apachegallery.dk/"
+
+LICENSE="|| ( Artistic GPL-2 )"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+WEBAPP_MANUAL_SLOT="yes"
+SLOT="0"
+
+S=${WORKDIR}/${MY_P}
+
+DEPEND="${DEPEND}
+ =dev-lang/perl-5*
+ =www-apache/libapreq2-2*[perl]
+ >=media-libs/imlib2-1.0.6-r1
+ dev-perl/URI
+ >=dev-perl/ImageInfo-1.04-r2
+ >=dev-perl/ImageSize-2.99-r1
+ dev-perl/text-template
+ >=dev-perl/CGI-3.08
+ dev-perl/Image-Imlib2
+"
+
+need_apache2
+
+src_install() {
+ perl-module_src_install
+ webapp_src_preinst
+
+ dodoc Changes INSTALL README TODO UPGRADE || die
+
+ insinto "${MY_ICONSDIR}"/gallery
+ doins htdocs/*.png
+
+ dodir "${MY_HOSTROOTDIR}"/${PN}/templates/default
+ dodir "${MY_HOSTROOTDIR}"/${PN}/templates/new
+
+ insinto "${MY_HOSTROOTDIR}"/${PN}/templates/default
+ doins templates/default/*
+
+ insinto "${MY_HOSTROOTDIR}"/${PN}/templates/new
+ doins templates/new/*
+
+ insinto "${APACHE_VHOSTS_CONFDIR}"
+ doins "${FILESDIR}"/76_apache2-gallery.conf
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_src_install
+}
diff --git a/www-apps/Apache-Gallery/Manifest b/www-apps/Apache-Gallery/Manifest
new file mode 100644
index 00000000000..0eebe3d84e5
--- /dev/null
+++ b/www-apps/Apache-Gallery/Manifest
@@ -0,0 +1 @@
+DIST Apache-Gallery-1.0RC3.tar.gz 83891 SHA256 9a7ab7566d811bb21dd27bc9a27cdcfb2c7a96c01727ad9a04313fc80e68e1f7
diff --git a/www-apps/Apache-Gallery/files/76_apache2-gallery.conf b/www-apps/Apache-Gallery/files/76_apache2-gallery.conf
new file mode 100644
index 00000000000..34dd36dbdbb
--- /dev/null
+++ b/www-apps/Apache-Gallery/files/76_apache2-gallery.conf
@@ -0,0 +1,40 @@
+##### Apache::Gallery configuration
+#
+# This is actually a virtual host definition with mod_perl directives
+# It might be a very good idea to disable mod_autoindex in apache[2].conf
+#
+
+#<VirtualHost localhost>
+# ServerName localhost
+# DocumentRoot /var/www/localhost/htdocs/data/pictures/
+# ErrorLog /var/log/gallery-error_log
+# TransferLog /var/log/gallery-access_log
+# <IfDefine MODPERL2>
+# PerlSetVar GalleryTemplateDir '/var/www/localhost/Apache-Gallery/templates/default'
+# PerlSetVar GalleryInfo 'Picture Taken => DateTimeOriginal, Flash => Flash'
+# PerlSetVar GallerySizes '640 1024 1600 2272'
+# PerlSetVar GalleryThumbnailSize '100x75'
+## If you have a copyright overlay image set the location of it
+# PerlSetVar GalleryCopyrightImage 'htdocs/c.png'
+## If you use Apache2 set the following "PerlOptions" too
+# PerlOptions +GlobalRequest
+# <Location />
+# SetHandler modperl
+# PerlResponseHandler Apache::Gallery
+# Options -Indexes
+# AllowOverride AuthConfig
+# Order deny,allow
+# Allow from all
+# </Location>
+# </IfDefine>
+## Allow access to cache
+# <Directory /var/tmp/Apache-Gallery>
+# Options -ALL
+# AllowOverride None
+# Order deny,allow
+# Allow from all
+# </Directory>
+## Give Apache an idea of where to find icons and css
+# Alias /icons /var/www/localhost/icons
+# Alias /gallery.css /var/www/localhost/Apache-Gallery/templates/default/gallery.css
+#</VirtualHost>
diff --git a/www-apps/Apache-Gallery/files/postinstall-en.txt b/www-apps/Apache-Gallery/files/postinstall-en.txt
new file mode 100644
index 00000000000..1db19de3c7d
--- /dev/null
+++ b/www-apps/Apache-Gallery/files/postinstall-en.txt
@@ -0,0 +1,2 @@
+You should now edit the Apache configs that have been installed into your
+Apache confdir.
diff --git a/www-apps/Apache-Gallery/metadata.xml b/www-apps/Apache-Gallery/metadata.xml
new file mode 100644
index 00000000000..6632069b5af
--- /dev/null
+++ b/www-apps/Apache-Gallery/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>web-apps</herd>
+</pkgmetadata>